local bar = _G[...]
local modName = ...
local title = "AltPower"
--Alt Power Bar
local widget = bar:GetTemplate("StatusBar", title)
widget.Events = {
	["UNIT_POWER"] = 1,
	["0UNIT_MANA"] = 1,
}

function widget:New(parent)
	local comp = self:Bind(self:CreateNew(parent, title))
		if ( not self.powerName ) then
		self.powerName = ADDITIONAL_POWER_BAR_NAME;
		self.powerIndex = ADDITIONAL_POWER_BAR_INDEX;
	end
	
	return comp
end

local basePower = {Druid = 0, Warlock = 0, Shaman = 0, Mage = 0, Monk = 0, Paladin = 0, Priest = 0, Warrior = 1, Hunter = 3 , ["Death Knight"] = 6, Rogue = 3}

function widget:OnUpdate()

	local unit = self.owner.id
	local basePower_index = basePower[UnitClass(unit)]
	local dead = UnitIsGhost(unit) or UnitIsDead(unit)
	
	self:SetValues(UnitPower(unit, basePower_index), 0,       UnitPowerMax(unit, basePower_index), dead)
	---- SetValues(current,                          minimum, maximum,                             overide, overideText)
	local r, g, b
	if ( not UnitIsConnected(unit)) then
		r, g, b = 0.5, 0.5, 0.5
	else
		local powerType, powerToken, altR, altG, altB = UnitPowerType(unit, basePower_index)
		powerType = basePower_index
		local info = PowerBarColor[powerToken]
		if ( info ) then
			r, g, b = info.r, info.g, info.b
		else
			if ( not altR) then
				info = PowerBarColor[powerType] or PowerBarColor['MANA']
				r, g, b = info.r, info.g, info.b
			else
				r, g, b = altR, altG, altB
			end
		end
	end
	if dead then
		r, g, b = r-.75, g-.75, b-.75
	end
	
	self:SetColor(r, g, b, 1)
end
